社交量与交易量对比

GET /social-volume-index
GetSocialVolumeIndex

某项资产的交易或讨论哪个更火热,二者均以各自的 90 天常态为基准衡量。volume_index 取值 0–100:50 表示二者升温程度相同,高于 50 表示交易领先于讨论,低于 50 表示讨论领先于交易。按日计算,最多 90 天。

钱包支付可通过 https://nebula-api.hiddensystems.ai/api/v1/x402/social-volume-index 使用。无需 Nebula 账户或 API key;签名前请先查看支付报价。x402 支付指南。

参数

asset_id string QUERY 必填

来自 /assets 或 /search 的资产 ID,例如 NVDA、GLD、SPX 或 bitcoin。请与随其一同返回的 asset_class 一起发送。

Example:NVDA

asset_class string QUERY 必填

asset_id 所指资产的类别:equity(股票和 ETF)、commodity、index 或 crypto。请发送 /assets 或 /search 随 asset_id 一同返回的 asset_class。

允许的值
equitycommodityindexcrypto

Example:equity

hours integer QUERY

回溯窗口,以小时计。免费套餐可回溯 90 天;超出则返回 403。

Default:2160

cURL 示例

curl --get \
  --url 'https://nebula-api.hiddensystems.ai/api/v1/public/social-volume-index' \
  --data-urlencode 'asset_id=NVDA' \
  --data-urlencode 'asset_class=equity' \
  --header 'X-API-Key: YOUR_API_KEY'

响应

200 OK
400 错误请求
401 未授权
402 Credits 已用尽;响应中包含续期时间和已购买的 credit 余额
403 禁止访问
404 未找到
405 方法不被允许;Allow 响应头列出了支持的方法
429 请求过多
500 内部服务器错误
503 服务不可用

媒体类型 application/json

series
array<object> 必填

按时间顺序排列的观测值。

series[].posts
number (double) 必填

该资产当天的帖子数,不含机器人。

series[].social_relative
number (double) 必填

该资产过去 7 天的帖子数,相对于此前 90 天 7 天帖子数中位数的倍数;1 为常态。

series[].timestamp
string (date-time) 必填

观测值或桶起始时间的 UTC RFC 3339 时间戳。

series[].trading_relative
number (double) 必填

该资产过去 7 天的美元交易额,相对于此前 90 天 7 天交易额中位数的倍数;1 为常态。

series[].volume_index
number (double) 必填

取值 0 到 100:50 表示交易与讨论相对于各自常态的升温程度相同;高于 50 表示交易领先于讨论,低于 50 表示讨论领先于交易。

series[].volume_usd
number (double) 必填

该资产当天的美元交易额;无交易的日期(例如股票周末)为 0。

{
  "series": [
    {
      "posts": 684,
      "social_relative": 1.84,
      "timestamp": "2026-08-07T15:00:00Z",
      "trading_relative": 1.29,
      "volume_index": 41.2,
      "volume_usd": 41250000000
    }
  ]
}